	SUBROUTINE RASAG(QSTRNG,LENST)
	BYTE	  QSTRNG(1)
	INTEGER*2 LENST
C
C	This subroutine is an interface to MULPLT's MPASGD subroutine.
C	This is so MULPLT commons won't colide with RASTER's, etc.
C
C	note that this must be built with MULPLT's commons:
C			MULPLT.COM
C			VECTOR.COM
C			DEVICE.COM
C	do NOT include RASTER.COM.
C
C
C	revision history:
C
C	1 july 83	hg	initial edit
C
C--------------------------------------------------------------------------
C
C
C=======================================================================
C
C	MULPLT.COM
C
C=======================================================================
C
	COMMON/MULPLT/XMARGL,XLNGTH,XMARGU,YMARGL,YLNGTH,YMARGR,
	1              DELLTX,DELSTX, 
	1              NLABEL,ANGLAB,IMODE ,IDISAB,
	2              NIBAX ,SPACE ,IAXSPC,IFUNC ,PLTANG,TIXLNG,
	3              LPATTX,LNSCAN,LSPACE,SCALE ,
	1              XTREMA,XTREMT,BASLOG,RCON  ,SFGLB ,OFFGLB,PSCALE,
	1              POFFST,
	1              TLFRST,TLLAST,
	1              MPVERS,IDATE ,ITIME,
	1              NPROOT,NPREAD,NPDUMP,NPSCAN,NPPLOT,
	1              STRNG0,LSTRN0,LSTRN1,NSTRN0,NSTRN1,NTITLE,
	1              TITLE ,LTITL ,TLFORM,LTLFOR,RDFORM,LRDFOR,
	1              PSYMBL,LPSYMB,SSYMBL,LSSYMB,FNAME,LFNAME,
	2              DTLFOR,LDTLFO,NTLFOR,NRDFOR,NPSYMB,NSSYMB,NFNAME,
	1              ICMD  ,NPTAG1,IPTAG1,NPTAG2,IPTAG2,NPTAG3,IPTAG3,
	1              NPTAG4,IPTAG4,NPTAG5,IPTAG5,NFTAG1,
	3              IFTAG1,NFTAG2,IFTAG2,
	1              XFMINA,XFMAXA,YFMINA,YFMAXA,XINIT ,ITAGA ,NUMPPL,
	1              OFFA  ,SFA   ,ISDELT,IDELTA,KSPACE,KFUNCT,KPLTYP,
	2              DXHIST,BGBASE,KBGOPN,NIBHS ,LPATHS,
	2              KBGSHD,BSDIST,NIBBS ,LPATBS,
	1              XDELTA,LSPFTA,LSPFTG,ISINIT,
	1              NFILE ,NTFIL ,RMAX  ,
	1              IPHASE,JFILE ,JFILE1 ,KFILE ,NEWRUN,PROMPT,PPHASE,
	1              BLK   ,PER   ,BELL  ,ICK   ,ICB   ,ICCO  ,ICCAT ,
	2              ICCLB ,ICSC  ,ICCI  ,LNEWPL,INITPL,LTIDAT,LSCAN ,
	1              NPRMPT,DRWSPD
C
	COMMON/STRSIZ/SXMIN ,SXMAX ,SYMIN ,SYMAX ,SMXMIN,SMXMAX,SMYMIN,
	1              SMYMAX,XCRSAV,YCRSAV,XCURSV,YCURSV
C
	BYTE STRNG0(82),STRNG1(80),TITLE(68,6)
	BYTE TLFORM(10,4),DRDFOR(20),DTLFOR(10)
	BYTE ITIME(8),IDATE(10)
	BYTE BLK,PER,BELL
	BYTE ICK,ICB,ICCO,ICCAT,ICCLB,ICSC,ICCI
C
	BYTE PSYMBL(50,11),SSYMBL(50,11),RDFORM(20,11)
	BYTE FNAME(50,11)
C
	LOGICAL*1 PROMPT,NEWRUN,LNEWPL,INITPL,LTIDAT,LSCAN,NPRMPT
	LOGICAL*1 PPHASE,LNSCAN(4),LSPACE(4),LSPFTA(11),LSPFTG
C
	INTEGER*2 IPTAG1(47),IPTAG2(4),IPTAG3(6),IPTAG4(6),IPTAG5(4)
	INTEGER*2 LTITL(6),LTLFOR(4),LPATTX(4,4),NLABEL(4),NIBAX(4)
	INTEGER*2 IDISAB(4),IMODE(4),IFUNC(4),IAXSPC(4)
	INTEGER*2 IFTAG1(43)
	INTEGER*2 IDELTA(11),ISDELT(11),LRDFOR(11),LFNAME(11),ISINIT(11)
	INTEGER*2 LPSYMB(11),LSSYMB(11),KPLTMD(11),KSPACE(2,11)
	INTEGER*2 KFUNCT(2,11),KPLTYP(11),ITAGA(11),NUMPPL(11)
	INTEGER*2 NIBHS(11),LPATHS(11),NIBBS(11),LPATBS(11)
	INTEGER*2 KBGOPN(11),KBGSHD(11)
C
	REAL*4 TLFRST(4),TLLAST(4)
	REAL*4 XTREMA(2,4),BASLOG(4),RCON(4),SFGLB(4),OFFGLB(4)
	REAL*4 XTREMT(2,4),PSCALE(4),POFFST(4)
	REAL*4 DELLTX(4),DELSTX(4),ANGLAB(4)
	REAL*4 SPACE(4),TIXLNG(4,4)
	REAL*4 XFMINA(11),XFMAXA(11),YFMINA(11),YFMAXA(11)
	REAL*4 SFA(4,11),OFFA(4,11)
	REAL*4 XDELTA(11),XINIT(11),DXHIST(11),BGBASE(11),BSDIST(11)
C
	REAL*8 MPVERS
C
	EQUIVALENCE (STRNG0(3),STRNG1(1))
	EQUIVALENCE (STRNG0(1),ICMD1)
	EQUIVALENCE (DRDFOR(1),RDFORM(1,1))
C
C=======================================================================
C
C	VECTOR.COM
C
C=======================================================================
C
	COMMON /VECTOR/ LUNGRP,XSCALE,YSCALE,IDEV,TRNFRM(6),
	1 XOFFC,YOFFC,NIBS,LINPAT
	BYTE GDDEV0(32),GDDEVN(6,6)
	COMMON /GRPHDV/ GDDEV0,MAXGD,GDDEVN
C
C=======================================================================
C
C	DEVICE.COM
C
C=======================================================================
C
	COMMON /DEVICE/ LUNTI, LIBLUN, LUNPD1, LUND  ,LUNDP ,LUNLP,
	1		LUNPDL,LUNDAT, LUNPD2, IDTAG ,PFILE1,PFILE2,
	2		DFILEU,DFILEC, ICHART,ICHARF,LUNEL
	COMMON/SABORT/LFLAG
	COMMON/MPSYMB/NIBPT4,CPARAM
C
	LOGICAL*1 DFILEU,DFILEC,LFLAG(5),LISTXY,NLSTXY,DUMPXY
	LOGICAL*1 LABORT,PFILE1,PFILE2,LISTPD
	BYTE ICHART(5),ICHARF(5)
	DIMENSION CPARAM(5,6),NIBPT4(6)
C
	EQUIVALENCE (LFLAG(1),LABORT),(LFLAG(2),LISTXY)
	EQUIVALENCE (LFLAG(3),NLSTXY),(LFLAG(4),DUMPXY)
	EQUIVALENCE (LFLAG(5),LISTPD)
C
C	set up things as MPASGD expects (as called from MULPLT)
C
	LUNTI = 5
	LSTRN0 = LENST
	IF (LENST .EQ. 0) GOTO 50
	DO 10 I=1,LENST
	STRNG0(I) = QSTRNG(I)
10	CONTINUE
C
C	sould be all set - let us pretend that we are MULPLT
C
50	CALL MPASGD
	RETURN
	END
